> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qudata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Удалить SSH ключ

> Отвязывает SSH ключ от инстанса



## OpenAPI

````yaml https://service-docs.qudata.ai/api/openapi.en.json delete /v0/instances/secrets/{instance_id}
openapi: 3.1.0
info:
  title: QuData Public API
  version: v0
servers:
  - url: https://api.qudata.ai
security: []
paths:
  /v0/instances/secrets/{instance_id}:
    delete:
      tags:
        - instances
      summary: Удалить SSH ключ
      description: Отвязывает SSH ключ от инстанса
      operationId: detach_secret_v0_instances_secrets__instance_id__delete
      parameters:
        - name: instance_id
          in: path
          required: true
          schema:
            type: string
            title: Instance Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Body_detach_secret_v0_instances_secrets__instance_id__delete
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OkResponse_NoneType_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - AuthApiKey: []
components:
  schemas:
    Body_detach_secret_v0_instances_secrets__instance_id__delete:
      properties:
        secret_id:
          type: string
          title: Secret Id
      type: object
      required:
        - secret_id
      title: Body_detach_secret_v0_instances_secrets__instance_id__delete
    OkResponse_NoneType_:
      properties:
        ok:
          type: boolean
          title: Ok
          default: true
        data:
          type: 'null'
          title: Data
      type: object
      title: OkResponse[NoneType]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    AuthApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.